# Generating Blast Radius

<mark style="color:green;">`GET`</mark> endpoints/blast

Now that you'd like to compare the changes and understand the blast radius of the changes, between the main/master branch and the branch you're planning to merge - we use this endpoint.

**Headers**

| Name          | Value            |
| ------------- | ---------------- |
| Authorization | `Bearer <token>` |

**Query Params**

| Name          | Type   | Description                       |
| ------------- | ------ | --------------------------------- |
| `project_id`  | number | Generated project id during parse |
| `base_branch` | string | base branch name                  |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "/server.py": [ //signifies the file in which it found the endpoint
        {
            "entryPoint": "GET /",
            "identifier": "/server.py:index"
        }
    ]
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "detail": "Project Details not found." //project id is incorrect
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.momentum.sh/using-momentum/generating-blast-radius.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
